Bug 201382 - crypttab incompatibility to debian
Summary: crypttab incompatibility to debian
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
low
Target Milestone: ---
Assignee: Miloslav Trmač
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-08-04 18:43 UTC by Lars Volker
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 8.39-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-14 18:27:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
adds option tmp to crypttab (1.36 KB, patch)
2006-08-04 18:55 UTC, Lars Volker
no flags Details | Diff
manpage-update (612 bytes, patch)
2006-08-04 19:00 UTC, Lars Volker
no flags Details | Diff

Description Lars Volker 2006-08-04 18:43:19 UTC
Description of problem:


to quote the manpage of crypttab included in initscripts:
"The  /etc/crypptab  file  format is based on the Debian cryptsetup package, and
is intended to be compatible."
However crypttab in ubuntu (and i'd bet in debian, too) there's a swap option,
which has the corresponding script run mke2fs after setting up the crypt-device.
This option is currently not present in development-sources. It should be done
in file /etc/rc.d/rc.sysinit and would just take a couple of lines.

Comment 1 Lars Volker 2006-08-04 18:55:50 UTC
Created attachment 133653 [details]
adds option tmp to crypttab

adds option "tmp" to crypttab - still the manpage needs to be updated

Comment 2 Lars Volker 2006-08-04 19:00:38 UTC
Created attachment 133655 [details]
manpage-update

Comment 3 Miloslav Trmač 2006-08-06 22:21:15 UTC
Thanks for the patch!

I have modified it to change the mode of the root directory of the newly
created filesystem to 01777 for better compatibility with Debian, and applied
it in CVS.


Note You need to log in before you can comment on or make changes to this bug.